package com.trade.service.contract.util.esign.entity;

/**
 * @className:EsignOrgTemplateSeal
 * @description:机构模版印章实体类
 * @author:杜小姣
 * @e-mail:1261237207@qq.com
 * @date:2019年10月20日 下午7:55:03
 */
public class ESignOrgTemplateSeal {

    /**
     * 印章别名
     */
    private String alias;
    /**
     * 印章颜色，RED-红色，BLUE-蓝色，BLACK-黑色 （required）
     */
    private String color;
    /**
     * 印章高度，默认159px
     */
    private String height;
    /**
     * 印章宽度，默认159px
     */
    private String width;
    /**
     * 横向文
     */
    private String htext;
    /**
     * 下弦文
     */
    private String qtext;
    /**
     * 模板类型，TEMPLATE_ROUND-圆章，TEMPLATE_OVAL-椭圆章， （required）
     */
    private String type;
    /**
     * 中心图案类型，STAR-圆形有五角星，NONE-圆形无五角星（required）
     */
    private String central;

    public ESignOrgTemplateSeal(){
    }

    public ESignOrgTemplateSeal(String alias, String color, String height, String width, String htext, String qtext,
                                String type, String central){
        this.alias = alias;
        this.color = color;
        this.height = height;
        this.width = width;
        this.htext = htext;
        this.qtext = qtext;
        this.type = type;
        this.central = central;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getHtext() {
        return htext;
    }

    public void setHtext(String htext) {
        this.htext = htext;
    }

    public String getQtext() {
        return qtext;
    }

    public void setQtext(String qtext) {
        this.qtext = qtext;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCentral() {
        return central;
    }

    public void setCentral(String central) {
        this.central = central;
    }
}
